QuantLib: Output manipulators

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

Functions
Output manipulators

## Functions
detail::short_date_holder | short_date (const Date &)
| output dates in short format (mm/dd/yyyy) More...
detail::long_date_holder | long_date (const Date &)
| output dates in long format (Month ddth, yyyy) More...
detail::iso_date_holder | iso_date (const Date &)
| output dates in ISO format (yyyy-mm-dd) More...
detail::formatted_date_holder | formatted_date (const Date &, const std::string &fmt)
| output dates in user defined format using boost date functionality More...
detail::long_period_holder | long_period (const Period &)
| output periods in long format (e.g. "2 weeks") More...
detail::short_period_holder | short_period (const Period &)
| output periods in short format (e.g. "2w") More...
detail::long_weekday_holder | long_weekday (Weekday)
| output weekdays in long format More...
detail::short_weekday_holder | short_weekday (Weekday)
| output weekdays in short format (three letters) More...
detail::shortest_weekday_holder | shortest_weekday (Weekday)
| output weekdays in shortest format (two letters) More...
template<typename T >
detail::null_checker< T > | checknull (T)
| check for nulls before output
detail::ordinal_holder | ordinal (Size)
| outputs naturals as 1st, 2nd, 3rd...
template<typename T >
detail::power_of_two_holder< T > | power_of_two (T)
| output integers as powers of two
detail::percent_holder | percent (Real)
| output reals as percentages
detail::percent_holder | rate (Rate)
| output rates and spreads as percentages
detail::percent_holder | volatility (Volatility)
| output volatilities as percentages
template<class Container >
detail::sequence_holder< typename Container::const_iterator > | sequence (const Container &c)
| output STL-compliant containers as space-separated sequences

## Detailed Description

Helper functions for creating formatted output.

## Function Documentation

detail::short_date_holder QuantLib::io::short_date | ( | const Date & |  | ) |

output dates in short format (mm/dd/yyyy)

detail::long_date_holder QuantLib::io::long_date | ( | const Date & |  | ) |

output dates in long format (Month ddth, yyyy)

detail::iso_date_holder QuantLib::io::iso_date | ( | const Date & |  | ) |

output dates in ISO format (yyyy-mm-dd)

detail::formatted_date_holder QuantLib::io::formatted_date | ( | const Date & | ,
|  | const std::string & | fmt
| ) |  |

output dates in user defined format using boost date functionality

detail::long_period_holder QuantLib::io::long_period | ( | const Period & |  | ) |

output periods in long format (e.g. "2 weeks")

detail::short_period_holder QuantLib::io::short_period | ( | const Period & |  | ) |

output periods in short format (e.g. "2w")

detail::long_weekday_holder QuantLib::io::long_weekday | ( | Weekday |  | ) |

output weekdays in long format

detail::short_weekday_holder QuantLib::io::short_weekday | ( | Weekday |  | ) |

output weekdays in short format (three letters)

detail::shortest_weekday_holder QuantLib::io::shortest_weekday | ( | Weekday |  | ) |

output weekdays in shortest format (two letters)